Menu
AWS Elastic Beanstalk
Developer Guide (API Version 2010-12-01)

PHP Platform History

This page lists the previous versions of AWS Elastic Beanstalk's PHP platforms and the dates that each version was current. Platform versions that you have used to launch an environment remain available even after they are no longer current.

See the Pre-Configured Platforms page for information on the latest version of each platform supported by Elastic Beanstalk. Detailed release notes are available for recent releases at aws.amazon.com/releasenotes.

Elastic Beanstalk supports the following platform configurations for PHP environments created between between May 19, 2017 and June 26, 2017:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 7.0

2016.09.0

PHP 7.0.16

1.4.1

Apache 2.4.25

PHP 5.6 version 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.6

2017.03.0

PHP 5.6.30

1.4.1

Apache 2.4.25

PHP 5.5 version 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.5

2017.03.0

PHP 5.5.38

1.4.1

Apache 2.4.25

PHP 5.4 version 2.4.0

64bit Amazon Linux 2017.03 v2.4.0 running PHP 5.4

2017.03.0

PHP 5.4.45

1.4.1

Apache 2.4.25

Elastic Beanstalk supports the following platform configurations for PHP environments created between between April 5, 2017 and May 18, 2017:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 7.0

2016.09.0

PHP 7.0.16

1.3.2

Apache 2.4.25

PHP 5.6 version 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.6

2016.09.0

PHP 5.6.30

1.3.2

Apache 2.4.25

PHP 5.5 version 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.5

2016.09.0

PHP 5.5.38

1.3.2

Apache 2.4.25

PHP 5.4 version 2.3.3

64bit Amazon Linux 2016.09 v2.3.3 running PHP 5.4

2016.09.0

PHP 5.4.45

1.3.2

Apache 2.4.25

Elastic Beanstalk supports the following platform configurations for PHP environments created between between March 8, 2017 and April 4, 2017:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 7.0

2016.09.0

PHP 7.0.14

1.3.2

Apache 2.4.25

PHP 5.6 version 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.6

2016.09.0

PHP 5.6.29

1.3.2

Apache 2.4.25

PHP 5.5 version 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.5

2016.09.0

PHP 5.5.38

1.3.2

Apache 2.4.25

PHP 5.4 version 2.3.2

64bit Amazon Linux 2016.09 v2.3.2 running PHP 5.4

2016.09.0

PHP 5.4.45

1.3.2

Apache 2.4.25

Elastic Beanstalk supports the following platform configurations for PHP environments created between between January 28, 2017 and March 7, 2017:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 version 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 version 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.3.1

64bit Amazon Linux 2016.09 v2.3.1 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between December 22, 2016 and March 7, 2017:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 version 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 version 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.3.0

64bit Amazon Linux 2016.09 v2.3.0 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between October 28, 2016 and December 21, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 7.0

2016.09.0

PHP 7.0.11

1.2.0

Apache 2.4.23

PHP 5.6 version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.6

2016.09.0

PHP 5.6.26

1.2.0

Apache 2.4.23

PHP 5.5 version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.5

2016.09.0

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running PHP 5.4

2016.09.0

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between September 6, 2016 and October 27, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 7.0

2016.03.3

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 version 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.6

2016.03.3

PHP 5.6.25

1.2.0

Apache 2.4.23

PHP 5.5 version 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.5

2016.03.3

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.1.7

64bit Amazon Linux 2016.03 v2.1.7 running PHP 5.4

2016.03.3

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between August 24, 2016 and September 6, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 7.0

2016.03.3

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.6

2016.03.3

PHP 5.6.24

1.2.0

Apache 2.4.23

PHP 5.5 version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.5

2016.03.3

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running PHP 5.4

2016.03.3

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between August 8, 2016 and August 24, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.0 version 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 7.0

2016.03.2

PHP 7.0.9

1.2.0

Apache 2.4.23

PHP 5.6 version 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.6

2016.03.2

PHP 5.6.24

1.2.0

Apache 2.4.23

PHP 5.5 version 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.5

2016.03.2

PHP 5.5.38

1.2.0

Apache 2.4.23

PHP 5.4 version 2.1.5

64bit Amazon Linux 2016.03 v2.1.5 running PHP 5.4

2016.03.2

PHP 5.4.45

1.2.0

Apache 2.4.23

Elastic Beanstalk supports the following platform configurations for PHP environments created between between July 18, 2016 and August 8, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 5.6 version 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.6

2016.03.2

PHP 5.6.22

1.1.2

Apache 2.4.18

PHP 5.5 version 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.5

2016.03.2

PHP 5.5.36

1.1.2

Apache 2.4.18

PHP 5.4 version 2.1.4

64bit Amazon Linux 2016.03 v2.1.4 running PHP 5.4

2016.03.2

PHP 5.4.45

1.1.2

Apache 2.4.18

Elastic Beanstalk supports the following platform configurations for PHP environments created between between June 26, 2016 and July 18, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 5.6 version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.6

2016.03.2

PHP 5.6.22

1.1.2

Apache 2.4.18

PHP 5.5 version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.5

2016.03.2

PHP 5.5.36

1.1.2

Apache 2.4.18

PHP 5.4 version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running PHP 5.4

2016.03.2

PHP 5.4.45

1.1.2

Apache 2.4.18

Elastic Beanstalk supports the following platform configurations for PHP environments created between between May 13, 2016 and June 26, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 5.6 version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.6

2016.03

PHP 5.6.21

1.1.0

Apache 2.4.18

PHP 5.5 version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.5

2016.03

PHP 5.5.35

1.1.0

Apache 2.4.18

PHP 5.4 version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running PHP 5.4

2016.03

PHP 5.4.45

1.1.0

Apache 2.4.18

Elastic Beanstalk supports the following platform configurations for PHP environments created between between May 9, 2016 and May 13, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 5.6 version 2.1.1

64bit Amazon Linux 2016.03 v2.1.1 running PHP 5.6

2016.03

PHP 5.6.21

1.1.0-RC

Apache 2.4.18

PHP 5.5 version 2.1.1

64bit Amazon Linux 2016.03 v2.1.1 running PHP 5.5

2016.03

PHP 5.5.35

1.1.0-RC

Apache 2.4.18

PHP 5.4 version 2.1.1

64bit Amazon Linux 2016.03 v2.1.1 running PHP 5.4

2016.03

PHP 5.4.45

1.1.0-RC

Apache 2.4.18

Elastic Beanstalk supports the following platform configurations for PHP environments created between between April 7, 2016 and May 9, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 5.6 version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running PHP 5.6

2016.03

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.18

PHP 5.5 version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running PHP 5.5

2016.03

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.18

PHP 5.4 version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running PHP 5.4

2016.03

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.18

Elastic Beanstalk supports the following platform configurations for PHP environments created between between February 26, 2016 and April 7, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Web Server

PHP 5.6 version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running PHP 5.6

2015.09

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.16

PHP 5.5 version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running PHP 5.5

2015.09

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.16

PHP 5.4 version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running PHP 5.4

2015.09

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.16

Elastic Beanstalk supports the following platform configurations for PHP environments created between February 11, 2016 and February 26, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Web Server

PHP 5.6 version 2.0.7

64bit Amazon Linux 2015.09 v2.0.7 running PHP 5.6

2015.09

PHP 5.6.17

1.0.0-alpha11

Apache 2.4.16

PHP 5.5 version 2.0.7

64bit Amazon Linux 2015.09 v2.0.7 running PHP 5.5

2015.09

PHP 5.5.31

1.0.0-alpha11

Apache 2.4.16

PHP 5.4 version 2.0.7

64bit Amazon Linux 2015.09 v2.0.7 running PHP 5.4

2015.09

PHP 5.4.45

1.0.0-alpha11

Apache 2.4.16

Elastic Beanstalk supports the following platform configurations for PHP environments created between January 11, 2016 and February 11, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Web Server

PHP 5.6 version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running PHP 5.6

2015.09

PHP 5.6.13

1.0.0-alpha10

Apache 2.4.16

PHP 5.5 version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running PHP 5.5

2015.09

PHP 5.5.29

1.0.0-alpha10

Apache 2.4.16

PHP 5.4 version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running PHP 5.4

2015.09

PHP 5.4.45

1.0.0-alpha10

Apache 2.4.16

Elastic Beanstalk supports the following platform configurations for PHP environments created between November 2, 2015 and January 11, 2016:

Configuration and Solution Stack Name

AMI

Language

Composer

Web Server

PHP 5.6 version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running PHP 5.6

2015.09

PHP 5.6.13

1.0.0-alpha10

Apache 2.4.16

PHP 5.5 version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running PHP 5.5

2015.09

PHP 5.5.29

1.0.0-alpha10

Apache 2.4.16

PHP 5.4 version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running PHP 5.4

2015.09

PHP 5.4.45

1.0.0-alpha10

Apache 2.4.16

Elastic Beanstalk supports the following platform configurations for PHP environments created between September 18, 2015 and November 2, 2015:

Configuration and Solution Stack Name

AMI

Language

Composer

Web Server

PHP 5.6 version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running PHP 5.6

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running PHP 5.5

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running PHP 5.4

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between August 11, 2015 and September 18, 2015:

Configuration and Solution Stack Name AMI Language Composer Web Server

PHP 5.6 version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running PHP 5.6

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running PHP 5.5

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running PHP 5.4

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between August 3, 2015 and August 11, 2015:

Configuration and Solution Stack Name AMI Language Composer Web Server

PHP 5.6 version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running PHP 5.6

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running PHP 5.5

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running PHP 5.4

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between June 15, 2015 and August 3, 2015:

Configuration and Solution Stack Name AMI Language Composer Web Server

PHP 5.6 version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running PHP 5.6

2015.03

PHP 5.6.9

1.0.0-alpha10

Apache 2.4.12

PHP 5.5 version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running PHP 5.5

2015.03

PHP 5.5.25

1.0.0-alpha10

Apache 2.4.12

PHP 5.4 version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running PHP 5.4

2015.03

PHP 5.4.41

1.0.0-alpha10

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between May 29, 2015 and June 15, 2015:

PHP Configurations

Name AMI Language Web Server Composer

64bit Amazon Linux 2015.03 v1.4.2 running PHP 5.6

2015.03

PHP 5.6.8

Apache 2.4.12

1.0.0-alpha10

64bit Amazon Linux 2015.03 v1.4.2 running PHP 5.5

2015.03

PHP 5.5.24

Apache 2.4.12

1.0.0-alpha10

64bit Amazon Linux 2015.03 v1.4.2 running PHP 5.4

2015.03

PHP 5.4.40

Apache 2.4.12

1.0.0-alpha10

Elastic Beanstalk supports the following platform configurations for PHP environments created between May 27, 2015 and May 28, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2015.03 v1.4.1 running PHP 5.6

2015.03

PHP 5.6.8

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.4.1 running PHP 5.5

2015.03

PHP 5.5.24

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.4.1 running PHP 5.4

2015.03

PHP 5.4.40

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between May 1, 2015 and May 26, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2015.03 v1.3.2 running PHP 5.6

2015.03

PHP 5.6.8

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.3.2 running PHP 5.5

2015.03

PHP 5.5.24

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.3.2 running PHP 5.4

2015.03

PHP 5.4.40

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between April 22, 2015 and April 30, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2015.03 v1.3.1 running PHP 5.5

2015.03

PHP 5.5.22

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.3.1 running PHP 5.4

2015.03

PHP 5.4.38

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between April 8, 2015 and April 21, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2015.03 v1.3.0 running PHP 5.5

2015.03

PHP 5.5.22

Apache 2.4.12

64bit Amazon Linux 2015.03 v1.3.0 running PHP 5.4

2015.03

PHP 5.4.38

Apache 2.4.12

Elastic Beanstalk supports the following platform configurations for PHP environments created between February 17, 2015 and April 7, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2014.09 v1.2.0 running PHP 5.5

2014.09

PHP 5.5.20

Apache 2.4.10

64bit Amazon Linux 2014.09 v1.2.0 running PHP 5.4

2014.09

PHP 5.4.36

Apache 2.4.10

Elastic Beanstalk supports the following platform configurations for PHP environments created between January 28, 2015 and February 16, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2014.09 v1.1.01 running PHP 5.5

2014.09

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.09 v1.1.01 running PHP 5.4

2014.09

PHP 5.4.20

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.1.01 running PHP 5.5

2014.03

PHP 5.5.14

Apache 2.4.10

64bit Amazon Linux 2014.03 v1.1.01 running PHP 5.5

2014.03

PHP 5.5.14

Apache 2.4.10

32bit Amazon Linux 2014.03 v1.1.01 running PHP 5.4

2014.03

PHP 5.4.30

Apache 2.4.10

64bit Amazon Linux 2014.03 v1.1.01 running PHP 5.4

2014.03

PHP 5.4.30

Apache 2.4.10

1CVE-2015-0235 Advisory (Ghost)

Elastic Beanstalk supports the following platform configurations for PHP environments created between October 16, 2014 and January 27, 2015:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2014.09 v1.0.91 running PHP 5.5

2014.09

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.09 v1.0.91 running PHP 5.4

2014.09

PHP 5.4.20

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.91 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.91 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.91 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.91 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

1CVE-2014-3566 Advisory

Elastic Beanstalk supports the following platform configurations for PHP environments created between October 9, 2014 and October 15, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.09 v1.0.8 running PHP 5.5

2014.09

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.09 v1.0.8 running PHP 5.5

2014.09

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.09 v1.0.8 running PHP 5.4

2014.09

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.09 v1.0.8 running PHP 5.4

2014.09

PHP 5.4.20

Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for PHP environments created between September 24, 2014 and October 8, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.03 v1.0.71 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.71 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.71 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.71 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

1 CVE-2014-6271 Advisory and ALAS-2014-419

Elastic Beanstalk supports the following platform configurations for PHP environments created between June 30, 2014 and September 23, 2014:

PHP Container Types

Name AMI Language Web Server

64bit Amazon Linux 2014.03 v1.0.4 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.4 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for PHP environments created between June 5, 2014 and June 29, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.03 v1.0.31 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.31 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.31 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.31 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

1 OpenSSL Security Advisory

Elastic Beanstalk supports the following platform configurations for PHP environments created between May 5, 2014 and June 4, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.03 v1.0.2 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.2 running PHP 5.5

2014.03

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.03 v1.0.2 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.03 v1.0.2 running PHP 5.4

2014.03

PHP 5.4.20

Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for PHP environments created between April 7, 2014 and May 4, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.02 v1.0.11 running PHP 5.5

2013.09

PHP 5.5.7

Apache 2.4.6

64bit Amazon Linux 2014.02 v1.0.11 running PHP 5.5

2013.09

PHP 5.5.7

Apache 2.4.6

32bit Amazon Linux 2014.02 v1.0.11 running PHP 5.4

2013.09

PHP 5.4.20

Apache 2.4.6

64bit Amazon Linux 2014.02 v1.0.11 running PHP 5.4

2013.09

PHP 5.4.20

Apache 2.4.6

32bit Amazon Linux 2013.09 v1.0.11 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

64bit Amazon Linux 2013.09 v1.0.11 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

32bit Amazon Linux 2013.09 v1.0.11 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

64bit Amazon Linux 2013.09 v1.0.11 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

32bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

64bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

1 openssl-1.0.1e-4.58.amzn1

Elastic Beanstalk supports the following platform configurations for PHP environments created between March 18, 2014 and April 6, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2014.02 running PHP 5.5

2013.09

PHP 5.5.7

Apache 2.2.26

64bit Amazon Linux 2014.02 running PHP 5.5

2013.09

PHP 5.5.7

Apache 2.2.26

32bit Amazon Linux 2014.02 running PHP 5.4

2013.09

PHP 5.4.20

Apache 2.2.26

64bit Amazon Linux 2014.02 running PHP 5.4

2013.09

PHP 5.4.20

Apache 2.2.26

32bit Amazon Linux 2013.09 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

64bit Amazon Linux 2013.09 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

32bit Amazon Linux 2013.09 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

64bit Amazon Linux 2013.09 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

32bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

64bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for PHP environments created between October 30, 2013 and March 17, 2014:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2013.09 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

64bit Amazon Linux 2013.09 running PHP 5.5

2013.09

PHP 5.5

Apache 2.4.6

32bit Amazon Linux 2013.09 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

64bit Amazon Linux 2013.09 running PHP 5.4

2013.09

PHP 5.4

Apache 2.4.6

32bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

64bit Amazon Linux running PHP 5.3

2013.03

PHP 5.3

Apache 2.4.6

Elastic Beanstalk supports the following platform configurations for PHP environments created between August 29, 2013 and October 29, 2013:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux running PHP 5.4

2013.03

PHP 5.4

Apache 2.4.6

64bit Amazon Linux running PHP 5.4

2013.03

PHP 5.4

Apache 2.4.6

Elastic Beanstalk supports the following container types for environments created with PHP containers prior to August 29, 2013:

PHP Container Types

Name AMI Language Web Server

32bit Amazon Linux 2012.09 running PHP 5.4

2012.09

PHP 5.4

Apache 2.4.3

64bit Amazon Linux 2012.09 running PHP 5.4

2012.09

PHP 5.4

Apache 2.4.3

32bit Amazon Linux 2012.09 running PHP 5.3

2012.09

PHP 5.3

Apache 2.4.3

64bit Amazon Linux 2012.09 running PHP 5.3

2012.09

PHP 5.3

Apache 2.4.3